<shader>
	
	<meta name="vertex-main">
<![CDATA[
attribute vec4 i_vertex;
attribute vec2 i_texcoord0;
attribute vec2 i_texcoord1;
attribute vec4 i_color;

varying vec2 v_texcoord;
varying MCD_LOWP vec4 v_color;

uniform mat4 u_worldViewProjMtx;
uniform vec3 u_camXaxis;
uniform vec3 u_camYaxis;

void main()
{
	vec4 vtx = vec4( i_vertex.xyz, 1.0 );
	
	vec4 sc;
	sc.xy = vec2( sin( i_vertex.w ), cos( i_vertex.w ) );
	sc.zw = -sc.xy;
	
	vec2 localDir;
	localDir.x = i_texcoord1.x * sc.y + i_texcoord1.y * sc.z; // x cos(A) - y sin(A)
	localDir.y = i_texcoord1.x * sc.x + i_texcoord1.y * sc.y; // x sin(A) + y cos(A)
	
	vtx.xyz += localDir.x * u_camXaxis + localDir.y * u_camYaxis;
	gl_Position = u_worldViewProjMtx * vtx;
	v_texcoord = i_texcoord0;
	v_color = i_color;
}

]]>
	</meta>
		
	<meta name="fragment-main">
<![CDATA[
varying vec2 v_texcoord;
varying MCD_LOWP vec4 v_color;

uniform sampler2D u_tex;
uniform vec4 u_color;

void main()
{
	gl_FragColor = texture2D( u_tex, v_texcoord ) * v_color * u_color;
}

]]>
	</meta>
	
	<meta name="fragment-header-gles2">
<![CDATA[
precision lowp float;
]]>
	</meta>
	
	<!-- ************************* gl2x ************************* -->
	<implement name="gl2x">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-main" />
		</fragment>
	</implement>
	
	<!-- ************************* gles2 ************************* -->
	<implement name="gles2">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-header-gles2" />
			<merge meta="fragment-main" />
		</fragment>
	</implement>
	
</shader>