<shader>
	
	<meta name="vertex-main">
<![CDATA[
attribute vec4 i_vertex;
attribute vec2 i_texcoord0;
attribute vec4 i_color;

varying vec2 v_texcoord;
varying MCD_LOWP vec4 v_color;

uniform mat4 u_worldViewProjMtx;
//uniform vec4 u_color;

void main() {
	gl_Position = u_worldViewProjMtx * i_vertex;
	v_texcoord = i_texcoord0;
	v_color = i_color;
}

]]>
	</meta>
	
	
<meta name="fragment-get_tex_value-0">
<![CDATA[
vec4 get_tex_value( vec4 texVal, vec4 outline_color, vec4 shadow_color, vec4 ucolor )
{	
	float s = max(texVal.r + texVal.g + texVal.b, 0.01);

	vec4 text = ucolor * texVal.r;
	vec4 outline = outline_color * texVal.g;
	vec4 shadow = shadow_color * texVal.b;

	return ((text + outline + shadow) / s) * vec4(1,1,1,texVal.a);
	//return vec4(1,1,1,texVal.a);
}

]]>
</meta>	


<meta name="fragment-get_tex_value-1">
<![CDATA[
vec4 get_tex_value( vec4 texVal, vec4 outline_color, vec4 shadow_color, vec4 ucolor )
{	
	
	return ucolor * texVal;
}

]]>
</meta>	
	
<meta name="fragment-main">
<![CDATA[
varying vec2 v_texcoord;
varying MCD_LOWP vec4 v_color;

uniform sampler2D u_tex;
uniform vec4 u_color;
uniform vec4 u_outline_color;
uniform vec4 u_shadow_color;

void main()
{
	gl_FragColor = get_tex_value( texture2D( u_tex, v_texcoord ), u_outline_color, u_shadow_color, v_color) * u_color;
}

]]>
	</meta>
	
<meta name="fragment-header-gles2">
<![CDATA[
precision lowp float;
]]>
	</meta>
		
	<!-- ************************* gl2x-0 ************************* -->
	<implement name="gl2x-0">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-get_tex_value-0" />
			<merge meta="fragment-main" />
		</fragment>
	</implement>
	
	
	<!-- ************************* gles2-0 ************************* -->
	<implement name="gles2-0">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-header-gles2" />
			<merge meta="fragment-get_tex_value-0" />
			<merge meta="fragment-main" />
		</fragment>
	</implement>

	<!-- ************************* gl2x-1 ************************* -->
	<implement name="gl2x-1">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-get_tex_value-1" />
			<merge meta="fragment-main" />
		</fragment>
	</implement>
	
	
	<!-- ************************* gles2-1 ************************* -->
	<implement name="gles2-1">
		<vertex>
			<merge meta="vertex-main" />
		</vertex>
		<fragment>
			<merge meta="fragment-header-gles2" />
			<merge meta="fragment-get_tex_value-1" />
			<merge meta="fragment-main" />
		</fragment>
	</implement>
	
</shader>